Bug 493841 - S-c-tools cleanup: inputs checking
S-c-tools cleanup: inputs checking
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-httpd (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: 493599
  Show dependency treegraph
 
Reported: 2009-04-03 06:00 EDT by Roman Rakus
Modified: 2015-03-04 20:20 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-02 08:30:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch that adds checking for valid ip addresses and ports (14.04 KB, patch)
2009-07-27 08:03 EDT, Radek Novacek
no flags Details | Diff

  None (edit)
Description Roman Rakus 2009-04-03 06:00:15 EDT
Description of problem:
Every input should be tested and/or filtered.

How reproducible:
IP & ports

Steps to Reproduce:
Do something without sense. For example fill IP address field with zywe

Actual results:
Tool will not notify user, that he write it wrong.

Expected results:
In some cases you can filter input (appropriate settings on widget). Notify user about his mistake and don't let tool to traceback.

Additional info:
You can set appropriate settings. You can use signal changed and/or focus-out for text fields.
Comment 1 Radek Novacek 2009-07-27 08:03:31 EDT
Created attachment 355268 [details]
Proposed patch that adds checking for valid ip addresses and ports

This patch adds checking for valid ip address and ports and also fixes calling:
raise 'TestError'
This statement does not work so I replace it with raising new class TestError which is derived from the class Exception.
Comment 2 Phil Knirsch 2009-10-02 08:30:48 EDT
Patch looks good, applied to HG repo and will be in next build.

Thanks & regards, Phil

Note You need to log in before you can comment on or make changes to this bug.